## NAME

v.build - Creates topology for GRASS vector map.

## KEYWORDS

vector, topology

## SYNOPSIS

v.build
v.build help
v.build map=name [error=name] [option=string[,string,...]] [--overwrite] [--verbose] [--quiet]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--verbose
  Verbose module output
--quiet
  Quiet module output

### Parameters:

map=name
  Name of input vector map
error=name
  Name for vector map where erroneous vector features are written to
option=string[,string,...]
  Build topology or dump topology or spatial index to stdout
  Options: build,dump,sdump,cdump
  Default: build
  build: build topology
  dump: write topology to stdout
  sdump: write spatial index to stdout
  cdump: write category index to stdout

## DESCRIPTION

v.build builds support files for (binary) GRASS vector data files. These support files supply topology and category information that are needed by other GRASS modules.

GRASS is generating these support files automatically, only in rare cases the user has to (re)build them.

Refer to Vector data processing in GRASS GIS for more information on GRASS GIS vector data model.

## NOTES

v.build creates support files only for binary vector maps located in the user's current mapset. If vector map is located in another mapset, you need to specify this:

    v.build map=geology@PERMANENT

In case of errors, the user can optionally generate an error vector map containing the erroneous vectors for later inspection.

## SEE ALSO

v.build.polylines

## AUTHORS

Dave Gerdes, U.S.Army Construction Engineering Research Laboratory,
Michael Higgins, U.S.Army Construction Engineering Research Laboratory,
Radim Blazek, ITC-irst, Trento, Italy

Last changed: $Date: 2011-11-08 10:42:51 +0100 (út, 08 XI 2011) $

Main index - vector index - Full index

© 2003-2014 GRASS Development Team